<?php
add_action( 'admin_menu', 'register_vmt_menu_page' );

function register_vmt_menu_page(){
	add_menu_page( 'VoiceLiveChat', 'VoiceLiveChat', 'manage_options', 'custompage', 'vmt_menu_page', plugins_url( 'images/small-logo.png', __FILE__ ), 6 ); 
}

function vmt_menu_page(){
	?><div class="wrap"><?php
	$option_name = 'vmt_chat_company_id' ;
	$edit_vmt_chat = get_option( $option_name, '' );
	if (isset($_POST['edit_vmt_chat']) && $_POST['edit_vmt_chat'] === '1') {
		if ( !empty( $edit_vmt_chat )) {
		    update_option( $option_name, $_POST['company_id'] );
		} else {
		    add_option( $option_name, $_POST['company_id'], null, 'no' );
		}
		$edit_vmt_chat = $_POST['company_id'];
	}?>
		<div class="margin-50">
			<h1><img src="<?= plugins_url( 'images/logo-dashboard.png', __FILE__ ) ?>"></h1>
			<h5>Activate <red>Voice</red><blue>Live</blue><gray>Chat</gray> on your website in two easy steps:</h5>
			<form method="POST" class="vmt-chat">
				<input type="hidden" name="edit_vmt_chat" value="1">
				<ul>
					<li>
						<div blue-bg>1</div><div text-zone-1>Get your company's unique code from the VoiceLiveChat Dashboard.</div>
					</li>
					<li>
						<div yellow-bg>2</div>
						<div fl-left><label text-zone-2>Insert your company's unique code in the following input and save:<br/>
							<input type="text" name="company_id" value="<?=$edit_vmt_chat?>">
						</label></div>
					</li>
					<li>
						<p><input type="submit" value="SAVE"></p>
					</li>
				</ul>
			</form>
		</div>
		<style type="text/css">
			.margin-50{
				margin: 50px;
			}
			red{
				color: #ff6700;
			}
			blue{
				color: #44afdb;
			}
			gray{
				color: #3d4f60;
			}
			[blue-bg],
			[yellow-bg]{
				color: #ffffff;
				font-size: 50px;
		    line-height: 80px;
		    padding: 0 10px;
		    float: left;
		    margin-right: 15px;
			}
			[blue-bg]{
				background-color: #7bbae3;
			}
			[yellow-bg]{
				background-color: #f06700;
			}
			[fl-left]{
				float: left;
			}
			[text-zone-1]{
		    line-height: 80px;				
			}
			[text-zone-2]{
		    line-height: 40px;				
			}
			.vmt-chat ul li{
				height: 85px;
			}
			.vmt-chat input[type="text"]{
				background-color: transparent;
				border-radius: 50px;
				border: 1px solid #9c9c9c;
				width:350px;
				text-align: center;
			}
			.vmt-chat input[type="submit"]{
				background-color: #3a495c;
				border-radius: 10px;
				margin-left: 400px;
				color: #ffffff;
				padding: 8px;
				font-size: 18px;
				font-weight: bold;
			}
		</style>
	</div><?php	
}